## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Namespace CL3D

The main namespace for CopperLicht

Namespace Overview
CL3D
The CopperLicht namespace containing all classes and some helper functions

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | CL3D.TOLERANCE Low tolerance value deciding which floating point values are considered equal.
<static> | CL3D.UseShadowCascade

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CL3D.clamp(n, low, high) Returns a new value which is clamped between low and high.
<static> | CL3D.cloneVertex3D(c)
<static> | CL3D.createColor(a, r, g, b) Creates a 32bit value representing a color
<static> | CL3D.createColorF(c) Creates a CL3D.ColorF from 32bit value representing a color
<static> | CL3D.degToRad(deg) Converts an angle from degrees to radians.
<static> | CL3D.equals(a, b) Returns if two floating point values are considered similar, depending on TOLERANCE.
<static> | CL3D.fract(n) Returns the fraction part of a floating point value.
<static> | CL3D.getAlpha(clr) Returns the alpha component of a color compressed into one 32bit integer value
<static> | CL3D.getBlue(clr) Returns the blue component of a color compressed into one 32bit integer value
<static> | CL3D.getGreen(clr) Returns the green component of a color compressed into one 32bit integer value
<static> | CL3D.getRed(clr) Returns the red component of a color compressed into one 32bit integer value
<static> | CL3D.isone(a) Returns if a floating point value is considered similar to 0, depending on TOLERANCE.
<static> | CL3D.iszero(a) Returns if a floating point value is considered similar to 0, depending on TOLERANCE.
<static> | CL3D.max3(a, b, c) Returns the maximum value of 3 input values.
<static> | CL3D.min3(a, b, c) Returns the minimum of 3 input values.
<static> | CL3D.radToDeg(radians) Converts an angle from radians to degrees.

Field Detail
<static> CL3D.TOLERANCE
Low tolerance value deciding which floating point values are considered equal.

<static> CL3D.UseShadowCascade
Method Detail
<static> CL3D.clamp(n, low, high)
Returns a new value which is clamped between low and high.

Parameters:
n
low
high

<static> CL3D.cloneVertex3D(c)

Parameters:
c

<static> {Number} CL3D.createColor(a, r, g, b)
Creates a 32bit value representing a color

Parameters:
a
  {Number} Alpha component of the color (value between 0 and 255)
r
  {Number} Red component of the color (value between 0 and 255)
g
  {Number} Green component of the color (value between 0 and 255)
b
  {Number} Blue component of the color (value between 0 and 255)

Returns:
  {Number} 32 bit color

<static> CL3D.createColorF(c)
Creates a CL3D.ColorF from 32bit value representing a color

Parameters:
c

<static> CL3D.degToRad(deg)
Converts an angle from degrees to radians.

Parameters:
deg

<static> CL3D.equals(a, b)
Returns if two floating point values are considered similar, depending on TOLERANCE.

Parameters:
a
b

<static> CL3D.fract(n)
Returns the fraction part of a floating point value. Given for example 6.788, this would return 0.788.

Parameters:
n

<static> {Number} CL3D.getAlpha(clr)
Returns the alpha component of a color compressed into one 32bit integer value

Parameters:
{Number} clr
  color

Returns:
  {Number} color component value, a value between 0 and 255

<static> {Number} CL3D.getBlue(clr)
Returns the blue component of a color compressed into one 32bit integer value

Parameters:
clr
  {Number} 32 bit color

Returns:
  {Number} color component value, a value between 0 and 255

<static> {Number} CL3D.getGreen(clr)
Returns the green component of a color compressed into one 32bit integer value

Parameters:
clr
  {Number} color

Returns:
  {Number} color component value, a value between 0 and 255

<static> {Number} CL3D.getRed(clr)
Returns the red component of a color compressed into one 32bit integer value

Parameters:
clr
  {Number} color

Returns:
  {Number} color component value, a value between 0 and 255

<static> CL3D.isone(a)
Returns if a floating point value is considered similar to 0, depending on TOLERANCE.

Parameters:
a

<static> CL3D.iszero(a)
Returns if a floating point value is considered similar to 0, depending on TOLERANCE.

Parameters:
a

<static> CL3D.max3(a, b, c)
Returns the maximum value of 3 input values.

Parameters:
a
b
c

<static> CL3D.min3(a, b, c)
Returns the minimum of 3 input values.

Parameters:
a
b
c

<static> CL3D.radToDeg(radians)
Converts an angle from radians to degrees.

Parameters:
radians

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit